<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_b2f5a10045" . "1164396178c" . "16d2a5c6899" => base64_decode("cHJldl90aXRsZQ" . "=="), "_6a90de6af30bf720b668cfb570e6" . "06de" => base64_decode("cHJldl9zdGF0ZQ" . "=="), "_939c6a45ff74323db" . "ef487ed15753a7c" => base64_decode("c3Rh" . "dGU="), "_2e858fb1973337f5" . "3ff85c104fcb38f4" => base64_decode("cHVibGlza" . "GVk"), "ti" . "tl" . "e" => base64_decode("dGl0bGU" . "="), "_4c760fb02a49c55" . "509ba087b84fbda4" . "5" => base64_decode("ZHJhZ" . "nQ="));
use Claromentis\Core\Event\GenericEvent;


class UpdateDocumentEvent extends GenericEvent
{
    const STATE_DRAFT = 1;
    const STATE_PUBLISHED = 2;
    
    
    
    
    private $error_message = '';
    public function GetPrevTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_b2f5a10045116" . "4396178c16d2a5" . "c6899"]);
    }
    public function GetTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["titl" . "e"]);
    }
    public function GetPrevState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_6a90de6af30bf7" . "20b668cfb570e60" . "6de"]);
    }
    public function GetState()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_939c6a45ff" . "74323dbef48" . "7ed15753a7c"]);
    }
    public function GetStateName()
    {
        if ($this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_939c6a45ff74323dbef487ed15753a" . "7c"]) == self::STATE_DRAFT) {
            return $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_4c760fb02a49c55" . "509ba087b84fbda4" . "5"];
        }
        return $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_2e858fb1973337f5" . "3ff85c104fcb38f4"];
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}